AspNetCore.DataProtection.Aws.S3 2.2.0

dotnet add package AspNetCore.DataProtection.Aws.S3 --version 2.2.0                
NuGet\Install-Package AspNetCore.DataProtection.Aws.S3 -Version 2.2.0                
This command is intended to be used within the Package Manager Console in Visual Studio, as it uses the NuGet module's version of Install-Package.
<PackageReference Include="AspNetCore.DataProtection.Aws.S3" Version="2.2.0" />                
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add AspNetCore.DataProtection.Aws.S3 --version 2.2.0                
#r "nuget: AspNetCore.DataProtection.Aws.S3, 2.2.0"                
#r directive can be used in F# Interactive and Polyglot Notebooks. Copy this into the interactive tool or source code of the script to reference the package.
// Install AspNetCore.DataProtection.Aws.S3 as a Cake Addin
#addin nuget:?package=AspNetCore.DataProtection.Aws.S3&version=2.2.0

// Install AspNetCore.DataProtection.Aws.S3 as a Cake Tool
#tool nuget:?package=AspNetCore.DataProtection.Aws.S3&version=2.2.0                

ASP.NET Core DataProtection repository for use with AWS S3

Product Compatible and additional computed target framework versions.
.NET net5.0 was computed.  net5.0-windows was computed.  net6.0 was computed.  net6.0-android was computed.  net6.0-ios was computed.  net6.0-maccatalyst was computed.  net6.0-macos was computed.  net6.0-tvos was computed.  net6.0-windows was computed.  net7.0 was computed.  net7.0-android was computed.  net7.0-ios was computed.  net7.0-maccatalyst was computed.  net7.0-macos was computed.  net7.0-tvos was computed.  net7.0-windows was computed.  net8.0 was computed.  net8.0-android was computed.  net8.0-browser was computed.  net8.0-ios was computed.  net8.0-maccatalyst was computed.  net8.0-macos was computed.  net8.0-tvos was computed.  net8.0-windows was computed. 
.NET Core netcoreapp2.0 was computed.  netcoreapp2.1 was computed.  netcoreapp2.2 was computed.  netcoreapp3.0 is compatible.  netcoreapp3.1 was computed. 
.NET Standard netstandard2.0 is compatible.  netstandard2.1 was computed. 
.NET Framework net461 was computed.  net462 was computed.  net463 was computed.  net47 was computed.  net471 was computed.  net472 was computed.  net48 was computed.  net481 was computed. 
MonoAndroid monoandroid was computed. 
MonoMac monomac was computed. 
MonoTouch monotouch was computed. 
Tizen tizen40 was computed.  tizen60 was computed. 
Xamarin.iOS xamarinios was computed. 
Xamarin.Mac xamarinmac was computed. 
Xamarin.TVOS xamarintvos was computed. 
Xamarin.WatchOS xamarinwatchos was computed. 
Compatible target framework(s)
Included target framework(s) (in package)
Learn more about Target Frameworks and .NET Standard.

NuGet packages (1)

Showing the top 1 NuGet packages that depend on AspNetCore.DataProtection.Aws.S3:

Package Downloads
BBWT.AmazonS3

Package Description

GitHub repositories

This package is not used by any popular GitHub repositories.

Version Downloads Last updated
2.2.0 1,118,863 10/15/2019
2.1.0 135,341 3/3/2019
2.0.2 421,156 4/8/2018
2.0.1 2,602 3/29/2018
2.0.0 143,413 10/15/2017
2.0.0-beta03 1,479 9/23/2017
2.0.0-beta02 4,570 8/31/2017
2.0.0-beta01 838 8/30/2017
1.0.0 3,978 8/29/2017
1.0.0-beta07 11,035 5/13/2017
1.0.0-beta06 15,069 3/14/2017
1.0.0-beta05 845 3/13/2017
1.0.0-beta04 2,399 12/29/2016
1.0.0-beta03 1,598 10/14/2016
1.0.0-beta02 858 10/1/2016
1.0.0-beta01 1,889 7/2/2016
1.0.0-alpha05 889 7/2/2016
1.0.0-alpha04 875 6/15/2016
1.0.0-alpha03 867 6/7/2016
1.0.0-alpha02 860 6/7/2016

Supports ASP.NET Core 2.2 and ASP.NET Core 3.0
Allows configuration via ASP.NET Configuration Binding
PDBs now embedded & source linked
Semantic versioning included in dependencies, restricted to minimums only

Breaking changes:
Requires NET Standard 2.0 and ASP.NET Core 2.0, or ASP.NET Core 3.0